For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETGet
      • PUTUpsert
      • DELDelete
      • PATCHUpdate
      • HEADExists
      • GETList Thumbnails
      • GETGet Thumbnail
LogoLogo
Sign upLog in
API ReferenceDiagrams

Delete

DELETE
https://api.icepanel.io/v1/landscapes/:landscapeId/versions/:versionId/diagrams/:diagramId
DELETE
/v1/landscapes/:landscapeId/versions/:versionId/diagrams/:diagramId
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.diagrams.delete("landscapeId", "versionId", "diagramId", {});
8}
9main();
1{
2 "commit": 1.1
3}
Was this page helpful?
Previous

Update

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

landscapeIdstringRequired
versionIdstringRequired
diagramIdstringRequired

Query parameters

updateViewedAtbooleanOptional

Response

OK
commitdouble

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error